Update a payment link
curl --request PATCH \
--url https://dev.interface.monirates.com/v1/payment-link/{paymentRequestId} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"amount": 123,
"currencyIso2": "<string>",
"payerDetails": {
"name": "<string>",
"email": "jsmith@example.com"
},
"displayMessage": "<string>",
"expiresAt": "2023-11-07T05:31:56Z"
}
'import requests
url = "https://dev.interface.monirates.com/v1/payment-link/{paymentRequestId}"
payload = {
"amount": 123,
"currencyIso2": "<string>",
"payerDetails": {
"name": "<string>",
"email": "jsmith@example.com"
},
"displayMessage": "<string>",
"expiresAt": "2023-11-07T05:31:56Z"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
amount: 123,
currencyIso2: '<string>',
payerDetails: {name: '<string>', email: 'jsmith@example.com'},
displayMessage: '<string>',
expiresAt: '2023-11-07T05:31:56Z'
})
};
fetch('https://dev.interface.monirates.com/v1/payment-link/{paymentRequestId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "<string>",
"data": {}
}{
"success": false,
"message": "<string>"
}Payment Link
Update a payment link
PATCH
/
payment-link
/
{paymentRequestId}
Update a payment link
Authorizations
API key for API authentication
Path Parameters
Body
application/json
⌘I

